Create project: Wiktionary
Closed, ResolvedPublic

Description

Name: Wiktionary

Description: A wiki-based Open Content dictionary.

Type: Project

Tag: Wiktionary

Policy: Default

GPHemsley updated the task description. (Show Details)
GPHemsley raised the priority of this task from to Needs Triage.
GPHemsley added a project: Phabricator.
GPHemsley changed Security from none to None.
GPHemsley added a subscriber: GPHemsley.

Please elaborate how this tag would be used in Phabricator exactly.

I might be against fulfilling this request without having a general plan for T802 in place first.

Qgil triaged this task as Normal priority.Nov 25 2014, 2:52 PM
Qgil added a subscriber: Qgil.

Indeed, I'm personally very happy to create projects for sister projects, but we need a plan before starting. @GPHemsley, your feedback in T802 is welcome!

@Aklapper, do you want to take both?

Qgil edited projects, added Project-Admins; removed Phabricator.Nov 25 2014, 2:53 PM

Please elaborate how this tag would be used in Phabricator exactly.

I'm not really sure how to answer that. It will be used to track tasks related to Wiktionary (e.g. T986 and its dependencies). What other information are you looking for?

I might be against fulfilling this request without having a general plan for T802 in place first.

It's not intended to replace any existing wiki-based discussion mechanisms, necessarily. It's meant to be used as a bug/task tracker, as Bugzilla/Phabricator are intended to be used.

Please elaborate how this tag would be used in Phabricator exactly.

I'm not really sure how to answer that. It will be used to track tasks related to Wiktionary (e.g. T986 and its dependencies). What other information are you looking for?

Basically "where to make the cut", and defining that well.
For example, does that proposed keyword include/exclude cases like "I ran into this bug in the MediaWiki extension XYZ on Wiktionary.org because that extension is installed there. So it also affects Wiktionary (and any other wiki site that has the extension installed) and hence I'm going to set the project tags for all those wiki sites on this task" ?

A use case is also welcome. If such a project exists, how would you use the information that a task in Phabricator has the Wiktionary project tag set? Search for it in some situations? Would it cover both bugs that happen on Wiktionary and also enhancement/functionality requests that would be specific to Wiktionary?

I'd really like to understand that better before making any decisions.

Qgil added a comment.Dec 1 2014, 11:56 AM

Sorry, I had replied to @GPHemsley at T802#795889 and forgot to report here, which I'm doing now. I think this discussion is applicable to all Wikimedia project families, therefore I believe it is better to focus the discussion in T802 for now.

Qgil changed the task status from Open to Stalled.Dec 1 2014, 11:57 AM

@Qgil, what did you change exactly?

Qgil added a comment.Dec 15 2014, 9:57 AM

This task was blocked by T802, and I changed the blocking for the more specific case of T78482 based on

@GPHemsley said:

It will be used to track tasks related to Wiktionary

PS: for the added: 1; removed: 1, see T78250.

Aklapper changed the task status from Stalled to Open.Mar 7 2015, 4:41 PM
Aklapper claimed this task.
Aklapper added a project: Wiktionary.
Aklapper closed this task as Resolved.

Requested project Wiktionary has been created: https://phabricator.wikimedia.org/project/profile/1115/

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Generally: Recommended practices for project and workboard management in Phabricator are available.

And if for some reason you ever want to rename the project, please check the guidelines first.

Enjoy!

Qgil awarded a token.Mar 7 2015, 4:47 PM
GPHemsley moved this task from Backlog to Resolved on the Wiktionary board.Mar 8 2015, 3:15 PM

The description is a bit confusing to me. It doesn't say that reports added to the project need to have some sort of community demand, so additions like T38881#1098189 are acceptable. However, it doesn't clearly say that being in the project is no indication of community support/need/discussion.

Can the description be clarified either way?

Seven months ago the Phabricator project Wiktionary was created - it's time to evaluate in T111046.
Those who wanted to see this Phabricator project: How do things work for you? Does the project and its workboard help you keeping an overview and getting things done? What problems do you face? Do people associate the project on tasks in the way that you suppose it? If not, do you have ideas how to improve that? Are you missing something that would make your work easier?
Please provide your input in T111046 (not here!) so we can find out whether to continue this way. And/or what to improve.
Thanks in advance for your feedback!